# 经营数据

`GET` `/v1/quote/operatings`

:::warning 仅支持 Longbridge 香港 / 新加坡账户
此方法仅支持 Longbridge 香港 / 新加坡账户，可查询任意标的，包括美股。
:::

按财报期获取经营数据及核心财务指标摘要。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 证券代码，例如 `AAPL.US` |
| `period` | string | No | 财报期筛选，如 `q1`、`q2`、`q3`、`q4`、`annual` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/operatings?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `list` | object[] | No | 经营数据报告列表， |
| `└ id` | string | No | 内部报告 ID |
| `└ report` | string | No | 报告期代码（如 `af` = 年报） |
| `└ title` | string | No | 报告标题 |
| `└ txt` | string | No | 管理层讨论文本 |
| `└ latest` | boolean | No | 是否为最新报告 |
| `└ web_url` | string | No | 完整报告页面链接 |
| `└ keywords` | array | No | 关键词。 |
| `└ financial` | object | No | 关键财务指标 |
| `└ ∟ symbol` | string | No | 证券代码 |
| `└ ∟ name` | string | No | 标的名称。 |
| `└ ∟ region` | string | No | 市场地区 |
| `└ ∟ code` | string | No | 股票代码 |
| `└ ∟ currency` | string | No | 报告货币 |
| `└ ∟ report` | string | No | 报告期代码（如 `af` = 年报） |
| `└ ∟ report_txt` | string | No | 报告期标签（如 `FY2024`、`Q1 2024`） |
| `└ ∟ indicators` | object[] | No | 财务指标列表， |
| `└ ∟ ∟ field_name` | string | No | 字段名称（如 `operating_revenue`） |
| `└ ∟ ∟ indicator_name` | string | No | 显示名称 |
| `└ ∟ ∟ indicator_value` | string | No | 格式化数值 |
| `└ ∟ ∟ yoy` | string | No | 同比变化率 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "list": [
      {
        "id": "12345",
        "report": "af",
        "title": "FY2025 Annual Report Summary",
        "txt": "Management discussion...",
        "latest": true,
        "web_url": "https://longbridge.com/wiki/...",
        "financial": {
          "code": "700",
          "currency": "HKD",
          "name": "Tencent",
          "region": "HK",
          "report": "af",
          "indicators": [
            {
              "field_name": "operating_revenue",
              "indicator_name": "Revenue",
              "indicator_value": "678.6B",
              "yoy": "0.0800"
            }
          ]
        }
      }
    ]
  }
}
```
